uniform sampler2D tex;

#pragma MSP stage(vertex)
layout(location=0) in vec4 position;
layout(location=1) in vec4 color;
layout(location=2) in vec4 texcoord;
layout(location=0) out vec4 color_out;
layout(location=2) out vec4 tc_out;
void main()
{
	gl_Position = position;
	color_out = color;
	tc_out = texcoord;
}

#pragma MSP stage(fragment)
layout(location=1) in vec4 color_out;
layout(location=2) in vec2 tc_out;
layout(location=0) out vec4 frag_color;
void main()
{
	frag_color = color_out*texture(tex, tc_out);
}

/* Expected error:
<test>:17: Mismatched location 1 for 'in color_out'
<test>:7: Linked to 'out color_out' with location 0
<test>:18: Mismatched type 'vec2' for 'in tc_out'
<test>:8: Linked to 'out tc_out' with type 'vec4'
*/
